Qtlathe

More
20 Aug 2020 08:32 #178808 by hottabich
Replied by hottabich on topic Qtlathe

Line 7 of your gcode doesn't look correct.

One ignore_m6 remap работает
без ошибки. forum.linuxcnc.org/qtvcp/39341-qtlathe?start=80#178354 Download and please run. And you will see everything.

Please Log in or Create an account to join the conversation.

More
20 Aug 2020 08:57 #178811 by hottabich
Replied by hottabich on topic Qtlathe

please change:
[PYTHON]
LOG_LEVEL = 100

Then see if anymore hints are printed.

Here's a mistake.
Attachments:

Please Log in or Create an account to join the conversation.

More
21 Aug 2020 04:48 - 21 Aug 2020 04:48 #178893 by cmorley
Replied by cmorley on topic Qtlathe
It's the T code embedded in the G71.2 code.
If you remove it the program runs for me (less the last tool change of course)
Last edit: 21 Aug 2020 04:48 by cmorley.
The following user(s) said Thank You: hottabich

Please Log in or Create an account to join the conversation.

More
21 Aug 2020 06:05 - 21 Aug 2020 06:17 #178897 by hottabich
Replied by hottabich on topic Qtlathe
Do you mean T1 in line 7 of R_R.ngc? So it doesn't change anything. I cannot get the picture as in the second screenshot.
Attachments:
Last edit: 21 Aug 2020 06:17 by hottabich.

Please Log in or Create an account to join the conversation.

More
21 Aug 2020 12:27 #178919 by cmorley
Replied by cmorley on topic Qtlathe
I used your last posted sim files.
I had to fix the remap line for T code:
REMAP = T python=index_lathe_tool_with_wear

After that I get the visualization but it won't run.
When I remove the T1 from line 7 then it will run.

The error:

Traceback (most recent call last):
File "/usr/lib/python2.7/runpy.py", line 174, in _run_module_as_main
"__main__", fname, loader, pkg_name)
File "/usr/lib/python2.7/runpy.py", line 72, in _run_code
exec code in run_globals
File "/usr/lib/python2.7/dist-packages/PyQt5/pyrcc_main.py", line 23, in <module>
from .pyrcc import *
RuntimeError: the sip module implements API v11.0 to v11.3 but the module requires API v12.0

Is about the resource file and seems to be mismatched versions -try removing the resource file.
But that is a separate problem that only affects image files.

Chris
The following user(s) said Thank You: hottabich

Please Log in or Create an account to join the conversation.

More
21 Aug 2020 14:55 #178926 by hottabich
Replied by hottabich on topic Qtlathe
Thanks, but I can't. I don’t understand anything about this, so I leave everything for the turners.
Attachments:

Please Log in or Create an account to join the conversation.

More
31 Aug 2020 15:39 #180182 by hottabich
Replied by hottabich on topic Qtlathe
I put in order 5 gss. Thanks Jim.
Attachments:

Please Log in or Create an account to join the conversation.

Moderators: cmorley
Time to create page: 0.088 seconds
Powered by Kunena Forum